using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Text;

namespace PCUT.Entities
{
    public class CdrFile
    {
        [JsonProperty("_id")]
        public string Id { get; set; }

        [JsonProperty("name")]
        public string Name { get; set; }

        [JsonProperty("area")]
        public string Area { get; set; }

        [JsonProperty("remarks")]
        public string Remarks { get; set; }

        [JsonProperty("file")]
        public FileData File { get; set; }

        [JsonProperty("thumbnail")]
        public FileData Thumbnail { get; set; }

        [JsonProperty("category")]
        public Category Category { get; set; }

        [JsonProperty("brand")]
        public CategoryMetadata Brand { get; set; }

        [JsonProperty("type")]
        public CategoryMetadata Type { get; set; }

        [JsonProperty("_model")]
        public CategoryMetadata Model { get; set; }

        [JsonProperty("series")]
        public CategoryMetadata Series { get; set; }

        [JsonProperty("year")]
        public CategoryMetadata Year { get; set; }

        [JsonProperty("subType")]
        public CategoryMetadata SubType { get; set; }
    }
}
